/*
COLOR PALETTE:
https://coolors.co/fff8f0-9e2b25-51355a-2a0c4e-f5f8de
#FFF8F0 - Floral White
#1a2a96 - blue
#51355a - English Violet
#2a0c4e - Russian Violet
#f5f8de - Beige
*/

/*
Global Styles
---------------------------------
*/
/*Box Model Fix:*/
html {
  box-sizing: border-box;
}
*,
*:before,
*:after {
  box-sizing: inherit;
}
body {
  color: #2a0c4e;
  margin: 0;
  padding: 0;
  font-family: "Raleway", sans-serif;
  font-size: 15px;
  line-height: 1.5;
}
img {
  max-width: 300px;
  width: 100%;
}
a {
  color: #f5f8de;
}
a:hover {
  text-decoration: none;
  font-weight: bold;
}
h1 {
  font-size: 55px;
  line-height: 1; /*overriding inherited line-height from body block*/
}
h2 {
  margin: 0;
  font-size: 35px;
}
h1,
h2 {
  font-family: "Buda", cursive;
  font-weight: 400;
  margin: 0;
}
.content-wrap {
  max-width: 800px;
  width: 85%;
  margin: 0 auto;
  padding: 60px 0;
}
h3 {
  margin-bottom: 0;
}
.item-details h3 + p {
  font-style: italic;
}
.item-details h3 ~ p {
  margin: 0;
}
.divider > section {
  border-bottom: 1px dashed #1a2a96;
  padding: 25px 0;
}
.divider > section:last-of-type {
  border-bottom: none;
}
.anchor-icon {
  width: 25px;
}
.anchor-icon:hover {
  width: 30px;
}

/*
Profile Styles
---------------------------------
*/
header {
  color: #fff8f0;
}
.header-content {
  background: #51355a;
}
.headergrid {
  display: grid;
  grid-template-columns: 70% 30%;
  gap: 10px;
  align-items: center;
}
.content-wrap.headergrid {
  padding: 10px 0 30px 0;
}
.intro {
  grid-column: 1 / 3;
}
.selfie {
  grid-column: 2 / 3;
  grid-row: 1 / 2;
}
.selfie img {
  width: 100%;
  padding: 3px;
  border: 1px solid white;
}
.header-nav {
  background: #fff8f0;
}
/* header-nav to create a box around the content for the background */
.nav-wrap {
  max-width: 800px;
  width: 85%; /*this keeps space around sides*/
  margin: 0 auto;
  padding: 0;
}
.nav img {
  width: 30px;
}
nav ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  display: flex;
  justify-content: space-between; /* applies to f-itmems .anchors & .icons*/
}
.anchors {
  flex: 0 1; /* applis to f-container "nav ul"*/
  display: flex;
  justify-content: space-between; /*applies to f-items li within .anchors*/
}
.anchors li {
  flex: 0 1; /* applies to f-container .anchors */

  padding: 8px;
  margin: 2px;
  /* width: 100px;; */
}
.icons {
  flex: 0 1; /* applies to f-container "nav ul"*/
  display: flex;
  justify-content: space-between; /* applies to f-items li within .icons */
}
.icons li {
  flex: 0 1; /* applies to f-container .icons */

  padding: 8px;
  margin: 2px;
}

/*
Projects Styles
---------------------------------
*/
.projects {
  background: #fff8f0;
}
.projects a {
  color: #1a2a96;
}
.projects .btn {
  color: #f5f8de;
  background: #1a2a96;
  padding: 8px;
  border-radius: 4px;
  text-decoration: none;
  display: inline-block; /*This makes sure the btn stays within the box*/
}
.projects .btn:hover {
  background: rgba(42, 12, 78);
}
.project-item {
  overflow: hidden; /*this clears the float of the images*/
}

.project-item h3 {
  margin-top: 0;
}

/*
Work Experience Styles
---------------------------------
*/
.work-experience {
  background: #fff8f0;
}

/*
Education Styles
---------------------------------
*/
.education {
  background-image: url(../images/annie-spratt-unsplash.jpg);
  background-size: cover;
  background-position: center right;
  padding-bottom: 100px;
}

/*
Contact Info Styles
---------------------------------
*/
footer {
  background: #1a2a96;
  color: #fff8f0;
}
.contact-list {
  list-style-type: none;
  padding: 0;
}
.contact-list a {
  padding: 15px;
  display: inline-block;
}

/*
Responsive Styles
---------------------------------
*/
@media screen and (min-width: 750px) {
  header {
    text-align: left;
  }
  footer {
    text-align: center;
  }
  .project-item img {
    float: left;
    margin-right: 20px;
  }
  .job-item {
    display: grid;
    grid-template-columns: 1fr 2fr;
    column-gap: 20px;
  }
  .contact-list {
    display: flex;
    justify-content: center;
  }
}
@media screen and (min-width: 341px) and (max-width: 749px) {
  h1 {
    font-size: 45px;
    line-height: 0.9;
    margin-bottom: 10px;
  }
  h2 {
    font-size: 25px;
    line-height: 1;
  }
  .headergrid {
    grid-template-columns: 30% 70%;
  }
  .nav {
    grid-column: 1 / 3;
  }
  .selfie {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
  }
  .intro {
    grid-column: 1 / 3;
  }
  .contact-list a {
    padding: 5px;
  }
}
@media screen and (max-width: 340px) {
  .headergrid {
    display: grid;
    grid-template-columns: 100%;
    /* grid-template-columns: 1fr;
    grid-template-rows: 3fr; */
  }
  .selfie {
    grid-column: 1 / 2;
  }
  .title {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
  }
  .intro {
    grid-column: 1 / 2;
    grid-row: 3 / 4;
  }
  .icons {
    display: none;
  }
  .anchors {
    flex: 1 1;
  }
  h1 {
    margin-bottom: 10px;
  }
  h2 {
    line-height: 1;
  }
}
